#include "stdafx.h"
#include "Principal.h"

bool compare( Pessoa* p1, Pessoa* p2 )
{
	return( p1->getIdade() < p2->getIdade() );
}

Principal::Principal():
Simao	( "Simao", 35 ),
Lucas	( "Lucas", 20 ),
Eduardo	( "Eduardo", 5 )
{
	LPessoas.push_back( &Simao );
	LPessoas.push_back( &Lucas );
	LPessoas.push_back( &Eduardo );

	LPessoas.sort( &compare );
}

Principal::~Principal()
{
}

void Principal::executar()
{
	IteradorLPessoas = LPessoas.begin();

	while( IteradorLPessoas != LPessoas.end() )
	{
		cout << (*IteradorLPessoas)->getNome() << ", " << (*IteradorLPessoas)->getIdade() << endl;
		IteradorLPessoas++;
	}
}



